Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.schedules
Interface TSchedules

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TSchedulesImpl

    public interface TSchedules

extends org.apache.xmlbeans.XmlObject

An XML tSchedules(@http://www.apache.org/ode/schemas/schedules/2009/05). This is a complex type.

Nested Class Summary
`static class` | `TSchedules.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TSchedule` | `addNewSchedule()` Appends and returns a new empty value (as xml) as the last "schedule" element
`TSchedule[]` | `getScheduleArray()` Deprecated.
`TSchedule` | `getScheduleArray(int i)` Gets ith "schedule" element
`java.util.List<TSchedule>` | `getScheduleList()` Gets a List of "schedule" elements
`TSchedule` | `insertNewSchedule(int i)` Inserts and returns a new empty value (as xml) as the ith "schedule" element
`void` | `removeSchedule(int i)` Removes the ith "schedule" element
`void` | `setScheduleArray(int i, TSchedule schedule)` Sets ith "schedule" element
`void` | `setScheduleArray(TSchedule[] scheduleArray)` Sets array of all "schedule" element
`int` | `sizeOfScheduleArray()` Returns number of "schedule" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getScheduleList

    java.util.List<TSchedule> getScheduleList()

  Gets a List of "schedule" elements

### getScheduleArray

    TSchedule[] getScheduleArray()

  Deprecated.

  Gets array of all "schedule" elements

### getScheduleArray

    TSchedule getScheduleArray(int i)

  Gets ith "schedule" element

### sizeOfScheduleArray

    int sizeOfScheduleArray()

  Returns number of "schedule" element

### setScheduleArray

    void setScheduleArray(TSchedule[] scheduleArray)

  Sets array of all "schedule" element

### setScheduleArray

    void setScheduleArray(int i,
                          TSchedule schedule)

  Sets ith "schedule" element

### insertNewSchedule

    TSchedule insertNewSchedule(int i)

  Inserts and returns a new empty value (as xml) as the ith "schedule" element

### addNewSchedule

    TSchedule addNewSchedule()

  Appends and returns a new empty value (as xml) as the last "schedule" element

### removeSchedule

    void removeSchedule(int i)

  Removes the ith "schedule" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD